GraphicsSetPatternSymbol (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.afp.goca

## Class GraphicsSetPatternSymbol

- java.lang.Object
- - org.apache.fop.afp.modca.AbstractAFPObject
  - - org.apache.fop.afp.goca.AbstractGraphicsDrawingOrder
    - - org.apache.fop.afp.goca.GraphicsSetPatternSymbol

- All Implemented Interfaces:
    Streamable, StructuredData

      public class GraphicsSetPatternSymbol
      extends AbstractGraphicsDrawingOrder

  Sets the pattern symbol to use when filling following GOCA structured fields

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `AbstractAFPObject.Category, AbstractAFPObject.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `BLANK` blank (same as no fill)
    `static byte` | `DIAGONAL_LINES_BLTR_1` diagonal lines, bottom left to top right 1
    `static byte` | `DIAGONAL_LINES_BLTR_2` diagonal lines, bottom left to top right 2
    `static byte` | `DIAGONAL_LINES_TLBR_1` diagonal lines, top left to bottom right 1
    `static byte` | `DIAGONAL_LINES_TLBR_2` diagonal lines, top left to bottom right 2
    `static byte` | `DOTTED_DENSITY_1` dotted density 1
    `static byte` | `DOTTED_DENSITY_2` dotted density 2
    `static byte` | `DOTTED_DENSITY_3` dotted density 3
    `static byte` | `DOTTED_DENSITY_4` dotted density 4
    `static byte` | `DOTTED_DENSITY_5` dotted density 5
    `static byte` | `DOTTED_DENSITY_6` dotted density 6
    `static byte` | `DOTTED_DENSITY_7` dotted density 7
    `static byte` | `DOTTED_DENSITY_8` dotted density 8
    `static byte` | `HORIZONTAL_LINES` horizontal lines
    `static byte` | `NO_FILL` no fill
    `static byte` | `SOLID_FILL` solid fill
    `static byte` | `VERTICAL_LINES` dotted density 9

    - ### Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `LOG, SF_CLASS, SF_HEADER_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphicsSetPatternSymbol(byte pattern)` Main constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDataLength()` Returns the data length of this structured field
    `java.lang.String` | `toString()`
    `void` | `writeToStream(java.io.OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

    - ### Methods inherited from class org.apache.fop.afp.goca.AbstractGraphicsDrawingOrder

      `getName`

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `copySF, copySF, truncate, writeChunksToStream, writeObjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DOTTED_DENSITY_1

          public static final byte DOTTED_DENSITY_1

      dotted density 1
      See Also:
        Constant Field Values

    - #### DOTTED_DENSITY_2

          public static final byte DOTTED_DENSITY_2

      dotted density 2
      See Also:
        Constant Field Values

    - #### DOTTED_DENSITY_3

          public static final byte DOTTED_DENSITY_3

      dotted density 3
      See Also:
        Constant Field Values

    - #### DOTTED_DENSITY_4

          public static final byte DOTTED_DENSITY_4

      dotted density 4
      See Also:
        Constant Field Values

    - #### DOTTED_DENSITY_5

          public static final byte DOTTED_DENSITY_5

      dotted density 5
      See Also:
        Constant Field Values

    - #### DOTTED_DENSITY_6

          public static final byte DOTTED_DENSITY_6

      dotted density 6
      See Also:
        Constant Field Values

    - #### DOTTED_DENSITY_7

          public static final byte DOTTED_DENSITY_7

      dotted density 7
      See Also:
        Constant Field Values

    - #### DOTTED_DENSITY_8

          public static final byte DOTTED_DENSITY_8

      dotted density 8
      See Also:
        Constant Field Values

    - #### VERTICAL_LINES

          public static final byte VERTICAL_LINES

      dotted density 9
      See Also:
        Constant Field Values

    - #### HORIZONTAL_LINES

          public static final byte HORIZONTAL_LINES

      horizontal lines
      See Also:
        Constant Field Values

    - #### DIAGONAL_LINES_BLTR_1

          public static final byte DIAGONAL_LINES_BLTR_1

      diagonal lines, bottom left to top right 1
      See Also:
        Constant Field Values

    - #### DIAGONAL_LINES_BLTR_2

          public static final byte DIAGONAL_LINES_BLTR_2

      diagonal lines, bottom left to top right 2
      See Also:
        Constant Field Values

    - #### DIAGONAL_LINES_TLBR_1

          public static final byte DIAGONAL_LINES_TLBR_1

      diagonal lines, top left to bottom right 1
      See Also:
        Constant Field Values

    - #### DIAGONAL_LINES_TLBR_2

          public static final byte DIAGONAL_LINES_TLBR_2

      diagonal lines, top left to bottom right 2
      See Also:
        Constant Field Values

    - #### NO_FILL

          public static final byte NO_FILL

      no fill
      See Also:
        Constant Field Values

    - #### SOLID_FILL

          public static final byte SOLID_FILL

      solid fill
      See Also:
        Constant Field Values

    - #### BLANK

          public static final byte BLANK

      blank (same as no fill)
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GraphicsSetPatternSymbol

          public GraphicsSetPatternSymbol(byte pattern)

      Main constructor
      Parameters:
        `pattern` - the pattern symbol to use

  - ### Method Detail

    - #### getDataLength

          public int getDataLength()

      Returns the data length of this structured field
      Returns:
        the data length of this structured field

    - #### writeToStream

          public void writeToStream(java.io.OutputStream os)
                             throws java.io.IOException

      DataStream objects must implement the writeToStream() method to write its data to the given OutputStream
      Parameters:
        `os` - the outputsteam stream
      Throws:
        `java.io.IOException` - an I/O exception of some sort has occurred.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.